#include <Wt/WApplication>
#include <Wt/WStandardItemModel>
#include <Wt/WTableView>
#include <Wt/WText>

class ModelApplication : public Wt::WApplication
{
public:
    ModelApplication(const Wt::WEnvironment& env) : Wt::WApplication(env) {
      model_ = new Wt::WStandardItemModel(root());
      root()->addWidget(new Wt::WText("This is a test"));
      table_ = new Wt::WTableView(root());
      table_->setSelectable(true);
      table_->setModel(model_);
      model_->removeRows(0,model_->rowCount());
    }
private:
  Wt::WStandardItemModel *model_;
  Wt::WTableView *table_;
};

Wt::WApplication *createApplication(const Wt::WEnvironment& env)
{
    return new ModelApplication(env);
}

int main(int argc, char **argv)
{
    return Wt::WRun(argc, argv, &createApplication);
}
